---
title: Diplomové práce 2021/2022
category: dp2022
published: true
---

Naučíte sa:

- Niečo viac o neurónových sieťach.
- Vytvárať jednoduché programy na úpravu dát.
- Zapojiť sa do reálneho výskumu.

### Morfologická analýza s podporou predtrénovania

- Zoberte existujúci model pre morfologickú analýzu slovenského jazyka a  vyhodnotte ho.
- Použite BERT model na natrénovanie morfologickej anotácie a porovnajte presnosť so základným modelom.

### Slovné jednotky v predspracovaní pre strojový preklad

- Natrénujte systém pre strojový preklad
- Vytvorte niekoľko modelov pre rozdelenie slov na menšie jednotky v slovenskom jazyku. Pre každý model rozdelenia slov natrénujte systém pre strojový preklad. 
- Porovnajte výsledky strojového prekladu s rôznymi rozdeleniami slov.


### Spracovanie veľkých dát pre účely získavania informácií

- Naučte sa pracovať s databázou Cassandra a Python
- indexujte dáta z webu
- implementujte techniku vyhodnotenia dokumentov

