# AKO VYTVORIŤ INDEX POMOCOU AZURE COGNITIVE SEARCH


## Prvá časť: Pridanie dát

1. Na portály Microsoft Azure si nájdite Aplikáciu Azure Congnitive Search ktorú chcete zaindexovať a kliknite na ňu. 
2. Na hornej lište v nájdite možnosť **Import data** a kliknite na toto tlačidlo. Týmto krokom začína vytváranie indexu

![Input data](img/creat_input_data.png)

3. V treťom kroku zvolte v **Data Source** možnosť _Samples_ a nižšie kliknite na možnosť **hotel-samples**, tieto nastavenie potvrdte nižšie kliknutím na 
**Next: Add cognitive skills (Optional)**

![Setting input data](img/settong_input_data.png)
![Cognitive skills](img/cognitive_skills.png)

4. Následne kliknite na **Skip to: Customize target index**

![Skip targetnindex](img/skip_target_index.png)

5. V ďalšom kroku kliknite na **Next: create an indexer**

![Create an idexer](img/create_an_indexer.png)

6. Kliknite na **Submit**

![Submit](img/submit.png)

7. Ak všetko prebehlo správne, tak sa Vám objaví takáto notifikácia

![Notification](img/notification_2.png)

8. Refresnite aplikáciu 


## Druhá časť: Kontrola

1. Kliknite na **Indexes**

![Indexes](img/indexes.png)

- pokilaľ všetko prebehlo vporiadku, malo by to vzerať takto

![Control](img/control.png)


## Tretia časť: Skúška vyhľadávania

1. Na hornom bare kliknite na **Search explorer**

![Search explorer](search_explorer.png)

2. Do poľa **Query string** skúste postupne napsať dané príkazy. Po správnom zadaní príkazu sa Vám zobrazia hodnoty hľadania
- Príklad hľadania

![Search command](img/search_command.png)

**Skúste vyskúšať nasledujúce príkazy**

      search=spa&$count=true&$top=10
      
      
      search=beach&$filter=Rating gt 4
      
      
      search=*&facet=Category&$top=2
      
      
      search=beach&highlight=Description
      
      
      search=seatle
      
      
      search=seatle~&queryType=full
      
      
      search=*&$count=true&$filter=geo.distance(Location,geography'POINT(-122.12 47.67)') le 5

