---
title: Jakub Kristián Lukas
published: true
taxonomy:
    category: [bp2023]
    tag: [hatespeech]
    author: Daniel Hladek
---

rok začiatku štúdia: 2020

# Bakalárska práca 2023

Téma: Systém pre rozpoznávanie nenávistnej reči v online diskusiách

Súvisí s PhD prácou [Manohar Gowdru Shridhara](students/2021/manohar_gowdru_shridharu)

Návrh na zadanie: 

- Preštudovať teóriu.
- Zopakovať jednoduchý experiment pre rozpoznávanie nenávistnej reči v anglickom jazyku s pomocou frameworku HuggingFace transformers. 
- Vypracovať webové demo.

Stretnutie 3.111.

Stav:

- štúdium Python. 
- Vyskúšané niektoré HF HS modely.

Úlohy:

- Prejdite si Streamlit tutoriál.
- Pokračovať v otvorených úlohách. Spojazdnite streamlit HS demo. Píšte si poznámky z prehľadového článku, Prečítajte si súvisiace články a napíšte poznánky.


Stretnutie 7.10.

Stav:

- Nainštalované prostredie Anadonda, HF, Pytorch
- Zdieľaný priečinok [google drive](https://drive.google.com/drive/folders/1voblyxpAwsjNWBSFB-8F_heQCb5cGakJ?usp=sharing)
- Vypracovaný text na 2 strany o BERT modeli. 


Úlohy:

- [ ] Prečítať a napísať poznámky na jednu stranu. Pozrite si aj súvisiace články,
    - https://arxiv.org/abs/2004.06465 
- [ ] Prejdite si HF Tutoriál.
- [ ] Pozrite si https://git.kemt.fei.tuke.sk/mg240ia/Hate-Speech-Detector-Streamlit
- [x] Prejdite si knihu Dive into Python 3.
- [x] Vyskúšať a preštudovať tieto modely
    - https://huggingface.co/Hate-speech-CNERG/dehatebert-mono-english
    - https://huggingface.co/Narrativa/byt5-base-tweet-hate-detection


Stretnutie 29.9.

Stav:
- Oboznamili sme sa s projektom.

Úlohy:

- Zistiť ako funguje model BERT. Napísať o tom správu na 2 strany. Priložiť odkazy na odborné články.
- Nainštalovať si HuggingFace Transformers a vypracovať tutoriál. HF Transformers bude vyžadovať CUDA a Pytorch. Dostupné to je na školskom servri idoc.
    - [x] Nainštalovať Anaconda
    - [x] Nainštalovať Pytorch
    - [x] nainštalujete transformers.
    - [ ] prejdide si tutoriál

