---
title: Artem Yatsenko
published: true
taxonomy:
    category: [bp2022]
    tag: [ner,spacy,nlp]
    author: Daniel Hladek
---

Začiatok štúdia 2019

# Bakalárska práca 2022

Názov: Rozpoznávanie pomenovaných entít v slovenskom jazyku

Pomenované entity sú väčšinou vlastné podstatné mená v texte. Ich rozpoznanie nám pomôže určiť o čom text je. To sa často využíva v chatbotoch alebo vo vyhľadávaní v texte.

Návrh na zadanie:

1. Vypracujte prehľad metód pre rozpoznávanie pomenovaných entít v texte.
2. Vyberte vhodnú metódu a natrénujte model pre rozpoznávanie pomenovaných entít.
3. Vykonajte viacero experimentov a zistite s akými parametrami má model najvyššiu presnosť.
4. Navrhnite ďalšie zlepšenia modelu pre rozpoznávanie pomenovaných entít.

Podobné práce:

- [Jakub Maruniak](/students/2016/jakub_maruniak)
- [Martin Wencel](students/2018/martin_wencel)

# Bakalársky projekt 2021

- Zlepšite model pre rozpoznávanie pomenovaných entít.
- Anotujte korpus, navrhnite lepší klasifikátor.

Stretnutie 30.9.

Úlohy:

- Prihláste sa na github.com, získajte prístup k repozitáru https://github.com/hladek/spacy-skmodel. Nainštalujte si prostredie, spustite trénovací skript. Budete potrebovať prostredie Anaconda. Môžete využiť svoj počítač, alebo školský server idoc.fei.tuke.sk (urobím prístup v prípade potreby).
- Vyznačte niekoľko (min. 20 článkov) pomenovaných entít cez webové rozhranie https://zp.kemt.fei.tuke.sk/topics/named-entity/navod
- Napíšte krátku správu o tom čo je to rozpoznávanie pomenovaných entít a ako sa robí. Napíšte z akých zdrojov ste čerpali.



