---
title: Oleh Poiasnik
published: true
taxonomy:
    category: [bp2025]
    tag: [rag,nlp]
    author: Daniel Hladek
---


rok začiatku štúdia: 2022

# Bakalárska práca 2025

Vyhľadávanie právnych informácií pomocou neurónových sietí

-    Oboznámte sa s existujúcimi modelmi pre vyhľadávanie v texte.
-    Vytvorte systém pre vyhľadávanie v zákonoch a vyhláškach.
-    Vyhľadajte súvisiace paragrafy so zadanou otázkou
-    Vyhodnotte či je zadané tvrdenie v súlade s legislatívou alebo nie.


RAG: Generovanie jazyka s pomocou vyhľadávania -Retrieval augmented generation


Stretnutie 26.4.2024

Úlohy:

- Zistite čo je to Retrieval Augmented Generation a napíšte o tom správu.
- Naučte sa základy jazyka Python.
- Podrobne si prejdite minimálne dva tutoriály.
- Napíšte krátky report na 2 strany kde napíšete čo ste urobili a čo ste sa dozvedeli.
- Nainštalujte si a vyskúšajte softvér PrivateGPT
- Nainštalujte si prostredie Anaconda. Prejdite si knihu Dive Deep into Python 3.
- Nainštalujte si PrivateGPT. Zistite ako  funguje RAG. Zistite ako funguje ChatGPT. Zistite ako funguje vyhľadávanie pomocou  SentenceTranformers. Napíšte o tom poznámky.
- Prečítajte si knihu https://d2l.ai/ a napíšte si poznámky.

Zásobník úloh:

- Spracujte a indexujte slovenské zákony a vyhlášky.
- Získajte zoznam právnych tvrdení ktoré je možné overiť.
- Existuje množina zmlúv o prenájme v slovenskom jazyku. https://huggingface.co/datasets/mtarasovic/ner-rent-sk-dataset

