---
title: Tetiana Mohorian
published: true
taxonomy:
    category: [bp2025]
    tag: [rag,nlp]
    author: Daniel Hladek
---


rok začiatku štúdia: 2022


## Bakalárska práca 2025

- Spolupráca [P. Pokrivčák](/students/2019/patrik_pokrivcak)
- [Python](/topics/python)
- [Hate Speech](/topics/hatespeech)


Návrh na tému:

Rozpoznávanie nenávistnej reči pomocou veľkých jazykových modelov.

- Oboznámte sa s existujúcimi veľkými jazykovými modelmi - uzatvorenými aj otvorenými.
- Aplikujte existujúci model na úlohu detekcie nenávistnej reči. 
- Na adaptáciu použite "prompting" a "LORA".
- Vyhodnotte model pomocou overovacej množiny.


Úlohy:

- Oboznámte sa s existujúcimi veľkými jazykovými modelmi - uzatvorenými aj otvorenými. Urobte si poznámky a napíšte prehľad.
- Nainštalujte si prostredie Anaconda. 
- Prejdite si knihu Dive Deep into Python 3.
- Prečítajte si knihu https://d2l.ai/ a napíšte si poznámky.	
- Zistite čo je to "prompting", a "few shot learning". Napíšte si poznámky.
- Nainštalujte si Pytorch, a huggingface transformers a oboznámte sa ako funguje táto knižnica.
- Nainštalujte si prostredie OLLAMA a vyskúšajte lokálne jazykové modely
- Nainštalujte si knižnicu LangChain a pozrite si ako fungujú [ChatModely](https://python.langchain.com/docs/modules/model_io/chat/)

