---
title: Dialógový systém
published: true
taxonomy:
    category: [project]
    tag: [chatbot,nlp]
    author: Daniel Hladek
---

Navrhnite a vytvorte dialógový systém komunikujúci v slovenskom jazyku pre úlohu komunikácie občana s mestom.

## Úlohy

- Zostavte bázu pravidiel pre systém RASA.
- Vyhodnoťte chatbota pre rôzne úlohy.
- Vytvorte a nasaďte webovú aplikáciu pre testovací prístup.

- Spracujte dáta o digitálnych služnách od mesta. Vytvorte z nich trénovaciu databázu.
- Identifikujte agendu ktorú by riešil chatbot.
- Identifikujte, ktoré časti pravidiel sa budú dať meniť.
- Vytvorte webovú aplikáciu pre úpravu bázy pravidiel a pretrénovanie chatbota.
- Integrujte chatbota s QA systémom.

## Zdroje

- video kanál s [RASA tutoriálom](https://www.youtube.com/watch?v=rlAQWbhwqLA&list=PL75e0qA87dlHQny7z43NduZHPo6qd-cRc)
- https://chatbotslife.com/how-you-can-build-your-first-chatbot-using-rasa-in-under-15-minutes-ce557ea52f2f
- https://medium.com/analytics-vidhya/building-a-simple-chatbot-in-python-using-nltk-7c8c8215ac6e

### Prostriedky

- [Repozitár s webovou aplikáciou](https://git.kemt.fei.tuke.sk/sh662er/rasa-flask-website)
- [Repozitár s chatbotom](https://git.kemt.fei.tuke.sk/sh662er/Rasa)
- [RASA toolbox](https://rasa.com/)
- Slack(<https:%%//%%slack.com>) - ako rozhranie
- Slovenský Spacy model https://github.com/hladek/spacy-skmodel

## Riešitelia

- [Matej Ščišľak](/students/2021/matej_scislak)
- [Martin Šarišský](/students/2021/marin_sarissky)

## Predošlí riešitelia

- Bakalárska práca [Samuel Horáni](/students/2019/samuel_horani)
- Dmytro Ushatenko (Daniel Hládek), 19/20
- Jozef Olekšák (Stanislav Ondáš) 18/19 Riadenie dialógu na báze
    štatických metód

## Existujúce riešenia

  - [KEMT Bot](https://kemt.fei.tuke.sk)
  - <https:%%//%%jobothq.slack.com/>

